> For the complete documentation index, see [llms.txt](https://docs.kiln.fi/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kiln.fi/v1/kiln-products/validators/protocols/fetch.ai-fet.md).

# Fetch.ai (FET)

## Validators

{% tabs %}
{% tab title="Mainnet" %}

<table><thead><tr><th width="145" align="center">Name</th><th align="center">Address</th></tr></thead><tbody><tr><td align="center">Kiln</td><td align="center"><a href="https://www.mintscan.io/fetchai/validators/fetchvaloper1uxlf7mvr8nep3gm7udf2u9remms2jyjqlr0wzf">fetchvaloper1uxlf7mvr8nep3gm7udf2u9remms2jyjqlr0wzf</a></td></tr></tbody></table>

{% endtab %}
{% endtabs %}

## Overview&#x20;

| Metric                                                       | Value                                                                                                                                                                                                                      |
| ------------------------------------------------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Stake activation time**                                    | Instant                                                                                                                                                                                                                    |
| **Unbonding period**                                         | 21 days                                                                                                                                                                                                                    |
| **Re-delegating activation time**                            | Redelegation is instant, but creates a cooldown. After moving stake from a source validator to a destination validator, you can’t redelegate from this source or target validator until the chain’s unbonding period ends. |
| **Auto-compounding**                                         | Enabled on the Kiln validator through the AuthZ module. See [guide](https://docs.kiln.fi/v1/custodians/how-to/cosmos-auto-compound-a-stake).                                                                               |
| **Self-bond**                                                | None                                                                                                                                                                                                                       |
| **Active set**                                               | Top 70 by voting power                                                                                                                                                                                                     |
| **Slashing**                                                 | <p>Up to 10% of stake can be slashed for double signing.<br><br>Up to 0.01% of stake can be slashed for downtime.</p>                                                                                                      |
| **Relationship between validator stake balance and rewards** | Linear. The more stake balance there is on the validator, the more rewards it will earn.                                                                                                                                   |

## Staking Workflow

<table data-header-hidden><thead><tr><th width="348">Parameter</th><th>Value</th></tr></thead><tbody><tr><td><strong>How does staking work?</strong></td><td>On Cosmos chains such as Fetch.ai, token holders choose a validator to delegate a select amount of tokens to. The delegator initiates a delegation transaction, which involves locking their tokens in a smart contract. These tokens are then counted towards the validator's total stake.</td></tr><tr><td><strong>What is the staking process?</strong></td><td>After the delegation has been initiated, FETs are changed to validator shares of the validator you delegate to.</td></tr><tr><td><strong>Do funds move out to another wallet?</strong></td><td>Staked FETs are not part of the balance anymore, but they don’t go to another address.</td></tr><tr><td><strong>Can I keep staking/unstaking from/to the same wallet?</strong> </td><td>Yes, you can increase the staked amount or unstake part of it at anytime.</td></tr><tr><td><strong>Can I select how much of my wallet balance I want to stake?</strong></td><td>Yes, you select the amount of tokens you want to stake to earn rewards.</td></tr><tr><td><strong>How does auto-compounding work?</strong></td><td>In the Cosmos ecosystem, auto-compounding is possible through a module called <a href="https://docs.cosmos.network/v0.46/modules/authz/">Authz</a>, that allows granting arbitrary privileges from one account (the granter) to another account (the grantee). <br><br>Through Authz, delegators could grant Kiln's wallet to claim rewards and stake them back to the Kiln Validator. This grant can be revoked at any time.</td></tr><tr><td><strong>How do I unstake?</strong></td><td><p>You can unstake by unbonding your funds. After you initiated the process:<br></p><p>• You stop receiving staking rewards</p><p>• It will take 21 days for the amount to be liquid</p></td></tr><tr><td><strong>Can I unstake part of the staked balance?</strong></td><td>Yes, you can select the amount of tokens you want to unstake (this takes 21 days).</td></tr><tr><td><strong>How is my balance computed at epoch N for the rewards distribution?</strong></td><td>The balance computed at block N for the rewards distribution is the balance at block N.</td></tr><tr><td><strong>What is the slashing risk on Fetch.ai?</strong></td><td>Downtime: During a block window (10,OOO blocks) if a validator signed less than 5% of the blocks, he will get jailed for 10 min and will incur a 0.01% slashing penalty. No rewards can be earned during that jail time.<br><br>Double signing: When a validator attests to two different blocks, it will face slashing. Stakers who have delegated to the slashed validator will incur a slashing penalty of 10% and the validator won't ever be able to earn rewards again.<br><br>Delegators will have to redelegate to another validator in order for their stake to earn rewards again.</td></tr><tr><td><strong>How is commission paid?</strong></td><td>Commissions are paid to the validator at the same frequency than the reward distribution (every block).</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kiln.fi/v1/kiln-products/validators/protocols/fetch.ai-fet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
